﻿using Infragistics.Controls.Timelines;
using Kb5887_SampleApp1.Infrastructure;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Kb5887_SampleApp1
{
    public class MainWindowViewModel : ObservableObject
    {
        private ObservableCollection<DateTimeEntry> _dateTimeEntries;

        public ObservableCollection<DateTimeEntry> DateTimeEntries
        {
            get { return _dateTimeEntries; }
            set { _dateTimeEntries = value; OnPropertyChanged(); }
        }

        public MainWindowViewModel()
        {
            DateTime today = DateTime.Today;

            _dateTimeEntries = new ObservableCollection<DateTimeEntry>();
            for(int i = 0; i < 60; i++)
            {
                _dateTimeEntries.Add(new DateTimeEntry() { Time = today.AddMinutes(i), Duration = new TimeSpan(0, 0, 30), Title = "Title " + i.ToString(), Details = "Details " + i.ToString() });
            }
        }
    }
}
